Subject: bug#46790: 28.0.50; make install with native-comp branch

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Apr 2021 10:49:07 +0300

> From: Thierry Volpiatto <[email-masked]>
> Cc: Phil Sainty <[email-masked]>, [email-masked]
> Date: Sat, 24 Apr 2021 06:48:24 +0000
> 
> > I think only as long as $(libdir) and $(libexecdir) keep their
> > relative locations.
> >
> > We don't really support separate unsynchronized locations for the
> > various *dir variables used to install Emacs.
> 
> Don't know what you are speaking about, the problem is with
> 
> make install bindir=foo
> 
> which IS documented in INSTALL.

So please describe the details of the deployment in your case:

  . where is the _real_ Emacs executable?
  . where is the symlink to it?
  . are you invoking the symlink explicitly or via PATH?
  . where is the .pdmp file?
  . where is the installed native-lisp/ directory?

(When I say "where" above, I mean what is the exact absolute file name
of that file or directory.  Also whether it's a symlink or not, and in
the former case where does the symlink point.)

Thanks.